package com.prank.funny.pranks.adapter;

import android.content.Context;
import android.content.Intent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.RecyclerView;

import com.bumptech.glide.Glide;
import com.prank.funny.pranks.bean.MyBean;
import com.prank.funny.pranks.databinding.ItemLayoutHomeBinding;
import com.prank.funny.pranks.pager.ActivityClass;
import com.prank.funny.pranks.tools.Common;

import java.util.List;


public class AdMain extends RecyclerView.Adapter<AdMain.ViewHolder> {

    private final List<MyBean> mValues;

    private Context mCon;


    public AdMain(Context context, List<MyBean> items) {
        mValues = items;
        this.mCon = context;
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {

        return new ViewHolder(ItemLayoutHomeBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));

    }

    @Override
    public void onBindViewHolder(final ViewHolder holder, int position) {
        int i = position % 6;
        holder.vb.relative.setBackground(ContextCompat.getDrawable(mCon, Common.bgs[i]));
        MyBean myBean = mValues.get(position);
        String covert = myBean.getCovert();
        Glide.with(mCon).load(covert).into(holder.vb.image);
        holder.vb.name.setText(myBean.getName());
        holder.vb.relative.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(mCon, ActivityClass.class);
                intent.putExtra(Common.KEY_LIST_DATA, myBean);
                intent.putExtra(Common.KEY_LIST_COLOR_POS, i);
                mCon.startActivity(intent);
            }
        });

    }

    @Override
    public int getItemCount() {
        return mValues.size();
    }

    public class ViewHolder extends RecyclerView.ViewHolder {

        private ItemLayoutHomeBinding vb;

        public ViewHolder(ItemLayoutHomeBinding binding) {
            super(binding.getRoot());
            vb = binding;

        }
    }
}